--- Makefile.orig	2004-02-02 00:43:02.000000000 +0100
+++ Makefile	2004-02-02 00:48:12.000000000 +0100
@@ -1,19 +1,19 @@
 ##################################################################
 # Directories
 # Install dirs
-INSTALL_PREFIX = /usr/local
+INSTALL_PREFIX = /usr
 
 # Full default path is /usr/local/bin
 APG_BIN_DIR = /bin
 
 # Full default path is /usr/local/man/man1
-APG_MAN_DIR = /man/man1
+APG_MAN_DIR = /share/man/man1
 
 # Full default path is /usr/local/sbin
 APGD_BIN_DIR = /sbin
 
 # Full default path is /usr/local/man/man8
-APGD_MAN_DIR = /man/man8
+APGD_MAN_DIR = /share/man/man8
 
 # You should not edit 2 lines below
 APGBFM_CLIBS = -lm
@@ -54,8 +54,8 @@
 # If you want to use SHA1 for random number genetation then you
 # must uncomment the folowing 2 lines
 #
-#STANDALONE_OPTIONS += -DAPG_USE_SHA
-#CLISERV_OPTIONS += -DAPG_USE_SHA
+STANDALONE_OPTIONS += -DAPG_USE_SHA
+CLISERV_OPTIONS += -DAPG_USE_SHA
 
 ##################################################################
 # You can modify CC variable if you have compiler other than GCC
@@ -81,7 +81,7 @@
 # Linux
 #
 # Uncoment line below for LINUX
-#APG_CS_CLIBS += -lnsl
+APG_CS_CLIBS += -lnsl
 
 ####################################################################
 # Solaris
@@ -144,36 +144,36 @@
 
 install:
 	if test -x ./apg; then \
-./mkinstalldirs ${INSTALL_PREFIX}${APG_BIN_DIR}; \
-./mkinstalldirs ${INSTALL_PREFIX}${APG_MAN_DIR}; \
-./install-sh -c -m 0755 -o root -g ${FIND_GROUP} ./apg ${INSTALL_PREFIX}${APG_BIN_DIR}; \
-./install-sh -c -m 0444 ./doc/man/apg.1 ${INSTALL_PREFIX}${APG_MAN_DIR}; \
+./mkinstalldirs $(DESTDIR)${INSTALL_PREFIX}${APG_BIN_DIR}; \
+./mkinstalldirs $(DESTDIR)${INSTALL_PREFIX}${APG_MAN_DIR}; \
+./install-sh -c -m 0755 ./apg $(DESTDIR)${INSTALL_PREFIX}${APG_BIN_DIR}; \
+./install-sh -c -m 0444 ./doc/man/apg.1 $(DESTDIR)${INSTALL_PREFIX}${APG_MAN_DIR}; \
 fi
 	if test -x ./apgd; then \
-./mkinstalldirs ${INSTALL_PREFIX}${APGD_BIN_DIR}; \
-./mkinstalldirs ${INSTALL_PREFIX}${APGD_MAN_DIR}; \
-./install-sh -c -m 0755 -o root -g ${FIND_GROUP} ./apgd ${INSTALL_PREFIX}${APGD_BIN_DIR}; \
-./install-sh -c -m 0444 ./doc/man/apgd.8 ${INSTALL_PREFIX}${APGD_MAN_DIR}; \
+./mkinstalldirs $(DESTDIR)${INSTALL_PREFIX}${APGD_BIN_DIR}; \
+./mkinstalldirs $(DESTDIR)${INSTALL_PREFIX}${APGD_MAN_DIR}; \
+./install-sh -c -m 0755 ./apgd $(DESTDIR)${INSTALL_PREFIX}${APGD_BIN_DIR}; \
+./install-sh -c -m 0444 ./doc/man/apgd.8 $(DESTDIR)${INSTALL_PREFIX}${APGD_MAN_DIR}; \
 fi
 	if test -x ./apgbfm; then \
-./mkinstalldirs ${INSTALL_PREFIX}${APG_BIN_DIR}; \
-./mkinstalldirs ${INSTALL_PREFIX}${APG_MAN_DIR}; \
-./install-sh -c -m 0755 -o root -g ${FIND_GROUP} ./apgbfm ${INSTALL_PREFIX}${APG_BIN_DIR}; \
-./install-sh -c -m 0444 ./doc/man/apgbfm.1 ${INSTALL_PREFIX}${APG_MAN_DIR}; \
+./mkinstalldirs $(DESTDIR)${INSTALL_PREFIX}${APG_BIN_DIR}; \
+./mkinstalldirs $(DESTDIR)${INSTALL_PREFIX}${APG_MAN_DIR}; \
+./install-sh -c -m 0755 ./apgbfm $(DESTDIR)${INSTALL_PREFIX}${APG_BIN_DIR}; \
+./install-sh -c -m 0444 ./doc/man/apgbfm.1 $(DESTDIR)${INSTALL_PREFIX}${APG_MAN_DIR}; \
 fi
 
 install-cygwin:
 	if test -x ./apg.exe; then \
-./mkinstalldirs ${INSTALL_PREFIX}${APG_BIN_DIR}; \
-./mkinstalldirs ${INSTALL_PREFIX}${APG_MAN_DIR}; \
-./install-sh -c -m 0755 ./apg.exe ${INSTALL_PREFIX}${APG_BIN_DIR}; \
-./install-sh -c -m 0444 ./doc/man/apg.1 ${INSTALL_PREFIX}${APG_MAN_DIR}; \
+./mkinstalldirs $(DESTDIR)${INSTALL_PREFIX}${APG_BIN_DIR}; \
+./mkinstalldirs $(DESTDIR)${INSTALL_PREFIX}${APG_MAN_DIR}; \
+./install-sh -c -m 0755 ./apg.exe $(DESTDIR)${INSTALL_PREFIX}${APG_BIN_DIR}; \
+./install-sh -c -m 0444 ./doc/man/apg.1 $(DESTDIR)${INSTALL_PREFIX}${APG_MAN_DIR}; \
 fi
 	if test -x ./apgbfm.exe; then \
-./mkinstalldirs ${INSTALL_PREFIX}${APG_BIN_DIR}; \
-./mkinstalldirs ${INSTALL_PREFIX}${APG_MAN_DIR}; \
-./install-sh -c -m 0755 ./apgbfm.exe ${INSTALL_PREFIX}${APG_BIN_DIR}; \
-./install-sh -c -m 0444 ./doc/man/apgbfm.1 ${INSTALL_PREFIX}${APG_MAN_DIR}; \
+./mkinstalldirs $(DESTDIR)${INSTALL_PREFIX}${APG_BIN_DIR}; \
+./mkinstalldirs $(DESTDIR)${INSTALL_PREFIX}${APG_MAN_DIR}; \
+./install-sh -c -m 0755 ./apgbfm.exe $(DESTDIR)${INSTALL_PREFIX}${APG_BIN_DIR}; \
+./install-sh -c -m 0444 ./doc/man/apgbfm.1 $(DESTDIR)${INSTALL_PREFIX}${APG_MAN_DIR}; \
 fi
 
 clean:
